/*Свойства шапки*/

.header {
  background-color: var(--white);
  box-shadow: 0px 5px 40px rgba(0, 0, 0, 0.1);
  padding: 14px 0 13px;
}

.header_container {
  display: flex;
  align-items: center;
}

.header_burger {
  display: none;
  background: none;
  border: none;
}

.header_burger_line {
  width: 30px;
  height: 3px;
  background-color: var(--dark_gray);
  margin: 4px 0;
}

.header_logo {
  max-width: 224px;
  margin-right: 110px;
}

.header_nav {
  margin-left: auto;
  margin-right: 71px;
}

.header_nav_click {
  display: none;
  margin-left: auto;
  margin-right: 71px;
}
.is-active {
  display: flex;
  flex-direction: column;
}
.column_nav {
  flex-direction: column;
}


.header_nav_list {
  list-style-type: none;
  display: flex;
  flex-wrap: wrap;
}

.header_nav_item {
  margin: 10px 0 10px 0;
  font-weight: 600;
  font-size: 18px;
}

.header_nav_item:not(:last-child) {
  margin-right: 87px;
}

.header_button {
  min-width: 25px;
  height: 25px;
  margin-right: 11px;
  background-color: var(--white);
  background-image: url(../img/Search1.svg);
  border: none;
  cursor: pointer;
}


/*Вставка*/
nav[role="full-horizontal"] {
  width: 100%;
}
nav[role="full-horizontal"] ul {
  width: 100%;
  list-style: none;
}
nav[role="full-horizontal"] ul > li {
  position: relative;
  float: left;
  padding: 0.25em 1em;
  margin: 1.25em 1em;
  text-transform: uppercase;
  cursor: pointer;
  background: rgba(255, 255, 255, 0.8);
  text-align: center;
  border-radius: 0.75em;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  transition-property: background, color, padding, border-radius;
  box-shadow: 0.1em -0.1em 0 0.1em rgba(0, 0, 0, 0.2), inset 0 0 0 0.15em rgba(0, 0, 0, 0.4), -0.1em 0.1em 0 0.1em rgba(0, 0, 0, 0.2);
}
nav[role="full-horizontal"] ul > li:after {
  position: absolute;
  z-index: -1;
  content: "";
  right: 0;
  border-radius: 50%;
  box-shadow: 1em 1em 0 2em rgba(255, 255, 255, 0.5);
}
nav[role="full-horizontal"] ul > li:last-child:after {
  box-shadow: none;
}
nav[role="full-horizontal"] ul > li:hover {
  background-color: rgba(251, 93, 0, 0.8);
  padding-left: 3em;
}
nav[role="full-horizontal"] ul > li:hover > a {
  color: #fff;
}
nav[role="full-horizontal"] ul > li > a {
  color: #333;
  text-decoration: none;
  font-size: 1.4em;
  transition: color 0.3s ease-in-out;
}

/* small screens */
@media screen and (max-width: 44em) {
  body {
    margin: 1.5em 0;
  }

  nav[role="full-horizontal"] ul {
    padding: 0 0.5em;
  }
  nav[role="full-horizontal"] ul > li {
    width: 100%;
    padding: 0.45em 0.25em;
    margin: 0 0 0.55em 0;
  }
  nav[role="full-horizontal"] ul > li:after {
    box-shadow: none;
  }
}

/*Вставка*/




/*ховер-эффекты*/
.header_burger_line1 {
      background-color: orange;
    }
.header_burger_line2 {
      background-color: orange;
      transform: scalex(0.7);
      margin-left: 4px;
    }
.header_burger_line3 {
      background-color: orange;
      transform: scalex(0.5);
      margin-left: 7px;
    }




/*.header_burger:hover 
    .header_burger_line:nth-child(1) {
      background-color: orange;
    }
.header_burger:hover 
    .header_burger_line:nth-child(2) {
      background-color: orange;
      transform: scalex(0.7);
      margin-left: 4px;
    }
.header_burger:hover    
    .header_burger_line:nth-child(3) {
      background-color: orange;
      transform: scalex(0.5);
      margin-left: 7px;
    }
  */


.header_nav_link:hover {
  border-bottom: solid 4px var(--orange);
}

.header_button:hover {
  background-image: url(../img/Search2.svg);
}

.burger-line:hover {
  background-color: var(--orange); /*надо нонастроить*/
}

/*Медиа-выражения*/

@media (max-width: 1254px) {
  .header {
    padding: 25px 0 28px;
  }
  .header_container {
    justify-content: space-between;
  }
  .header_burger {
    display: flex;
    flex-direction: column;
    padding: 0;
  }
  .header_nav {
    display: none;
  }
  
  .header_logo {
    max-width: 150px;
    margin-right: 4px;
  }
  .header_button {
    margin-right: 0;
  }
}

@media (max-width: 768px) {
  .header {
    padding: 9px 0 9px 0;
  }
}

/*Медиа-выражения для мобильной версии*/

@media (max-width: 640px) {
  .header {
    padding: 7px 0;
  }
.header_button {
  display: none;
}
.header_container {
  flex-direction: row-reverse;
}
.header_logo {
  max-width: 97px;
  
}
.header_burger_line {
  width: 25px;
  margin: 2px 0;
}
}